SCALBN(3)

NAME
scalbln, scalblnf, scalblnl, scalbn, scalbnf, scalbnl - adjust exponent by radix

SYNOPSIS
libm
#include <math.h>
double
scalbln(double x, long n);
float
scalblnf(float x, long n);
long double
scalblnl(long double x, long n);
double
scalbn(double x, int n);
float
scalbnf(float x, int n);
long double
scalbnl(long double x, int n);

DESCRIPTION
scalbln() and scalbn() return x*(2**n) computed by exponent manipulation. The scalblnf() and scalbnf() functions are single precision versions of scalbln() and scalbn(), respectively. The scalblnl() and scalbnl() functions are extended precision versions of scalbln() and scalbn(), respectively.

STANDARDS
ieee754

HISTORY
The scalbln, scalblnf and scalblnl functions appeared in OpenBSD 4.7. The scalbn, scalbnf, and scalbnl, functions appeared in 4.3BSD, NetBSD 1.1 and OpenBSD 4.5, respectively.